<?xml version="1.0" encoding="UTF-8"?>
<oakxmlfile>
	<struct name="spherical_spring_physics_definition">
		<long name="flags"/>
		<angle name="initial_angular_velocity_min"/>
		<angle name="initial_angular_velocity_delta" lower_bound="initial_angular_velocity_min"/>
		<fixed name="attraction_constant"/>
		<byte count="48"/>
	</struct>
	<structedit struct="spherical_spring_physics_definition">
		<frame layout="table" text="Spherical Spring Physics" stretch="true" alignchildren="true">
			<frame text="General" layout="table" stretch="true">
				<frame stretch="true">
					<frame text="Parameters" layout="table" stretch="true">
						<row>
							<label text="Initial Angular Velocity:"/>
							<item target="initial_angular_velocity_min"/>
							<label text="to"/>
							<item target="initial_angular_velocity_delta"/>
						</row>
						<row>
							<label text="Attraction Constant:"/>
							<item target="attraction_constant"/>
						</row>
					</frame>
					<frame stretch="true">
						<frame layout="table" text="Flags">
							<row>
								<item target="flags" bit="0" text="Random time offsets"/>
							</row>
						</frame>
					</frame>
				</frame>
			</frame>
		</frame>
	</structedit>
</oakxmlfile>
